import javax.swing.*;
import squint.*;

// JustTheMenu --- A demonstration of how to use an if statement
// to respond to items in a menu.
public class JustTheMenu extends GUIManager
{
    // Change these values to adjust the size of the program's window
    private final int WINDOW_WIDTH  = 400;
    private final int WINDOW_HEIGHT = 100;
       
    // Menu that provides shortcut to entering port number
    private JComboBox protocol;
    
    // Width of text field used to display port number
    private final int PORT_WIDTH = 5;
           
    // Text field used to display port number selected
    private JTextField port;
    
    /*
     * Add all user interface components to the display
     */
    public JustTheMenu() {
        this.createWindow( WINDOW_WIDTH, WINDOW_HEIGHT );
        
        contentPane.add( new JLabel( "Protocol Name:" ) );
        
        protocol = new JComboBox( );
        protocol.addItem( "SMTP" );
        protocol.addItem( "POP" );
        protocol.addItem( "HTTP" );
        protocol.addItem( "IMAP" );
        contentPane.add( protocol );
        
        contentPane.add( new JLabel( " = Port Number:" ) );
        port = new JTextField( PORT_WIDTH );
        contentPane.add( port );
     }
   

   /*
    * When an item is selected from the protocol menu, put the
    * approriate port number in the port text field.
    */
    public void menuItemSelected( ) {
        String item;
        
        item = protocol.getSelectedItem().toString();
        
        if ( item.equals( "SMTP" ) ) {
            port.setText( "25" );
        } else if ( item.equals( "HTTP" ) ) { 
            port.setText( "80" );
        } else if ( item.equals( "POP" ) ) {
            port.setText( "110" );
        } else if ( item.equals( "IMAP" ) ) {
            port.setText( "143" );
        }
    }
}
