import javax.swing.*;
import squint.*;

// PortButton --- A demonstration of how to use an if statement
// to respond to different buttons in different ways.
public class PortButtons extends GUIManager {
    // Change these values to adjust the size of the program's window
    private final int WINDOW_WIDTH  = 700;
    private final int WINDOW_HEIGHT = 100;
    
    // Width of text field used to display port number
    private final int PORT_WIDTH = 5;
           
    // Text field used to display port number selected
    private JTextField port;
    
    // Buttons used to pick the desired port
    private JButton smtpButton;
    private JButton popButton;
    private JButton httpButton;
     
    /*
     * Add all user interface components to the display
     */
    public PortButtons() {
        this.createWindow( WINDOW_WIDTH, WINDOW_HEIGHT );
        
        contentPane.add( new JLabel( "Protocol Port Number/Name:" ) );
        port = new JTextField( PORT_WIDTH );
        contentPane.add( port );
        
        smtpButton = new JButton( "SMTP" );
        popButton = new JButton( "POP" );
        httpButton = new JButton( "HTTP" );
        
        contentPane.add( smtpButton );
        contentPane.add( popButton );
        contentPane.add( httpButton );
     }
   
   /*
    * When a button is clicked, put the
    * approriate port number in the port text field.
    */
    public void buttonClicked( JButton clickedButton ) {
        String item = clickedButton.getText();
        
        if ( clickedButton == smtpButton ) {
            port.setText( "25" );
        } else if ( clickedButton == httpButton ) { 
            port.setText( "80" );
        } else if ( clickedButton == popButton ) {
            port.setText( "110" );
        }
    }
}
